Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.netuix.application.identifier
Class DesktopInstanceId

    java.lang.Object
      com.bea.netuix.application.identifier.Id
          com.bea.netuix.application.identifier.DesktopInstanceId

All Implemented Interfaces
  InstanceId, Serializable

    public class DesktopInstanceId

extends Id
implements InstanceId

Represents the primary keys of `Desktop` instance objects in the database, and is used to uniquely identify them. `DesktopInstanceId` will be needed when customizing specific instances of desktops.

See Also
  Serialized Form

Field Summary

Fields inherited from class com.bea.netuix.application.identifier.Id
`id`

Constructor Summary
`DesktopInstanceId(int id)`

Method Summary
`Object` | `clone()`
`static DesktopInstanceId` | `clone(DesktopInstanceId desktopInstanceId)`
`static DesktopInstanceId` | `createDesktopInstanceId(int id)`

Methods inherited from class com.bea.netuix.application.identifier.Id
`equals, equals, getId, getUniqueLabel, hashCode, setId, toString`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DesktopInstanceId

    public DesktopInstanceId(int id)

Parameters
  `id` - the integer value that this `BookInstanceId` should be set to.

Method Detail

### createDesktopInstanceId

    public static DesktopInstanceId createDesktopInstanceId(int id)

  Parameters
    `id` - the integer value that this `DesktopInstanceId` should be set to.
  Returns
    a new `DesktopInstanceId` with the id value set to the integer passed in.

### clone

    public static DesktopInstanceId clone(DesktopInstanceId desktopInstanceId)

  Parameters
    `desktopInstanceId` - the `DesktopInstanceId` to clone.
  Returns
    a new `DesktopInstanceId` with the exact same parameters as the `DesktopInstanceId` passed in.

### clone

    public Object clone()

  Overrides:
    `clone` in class `Object`
  Returns
    a new `DesktopInstanceId` with the exact same parameters as this `DesktopInstanceId`.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000, 2009, Oracle and/or its affiliates. All rights reserved.
Oracle is a registered trademark of Oracle Corporation and/or its affiliates.
Other names may be trademarks of their respective owners.